PHP, which is an acronym for PHP: Hypertext Preprocessor, is amongst the most widely used general-purpose server-side scripting languages that are available out there. Any site or web-based application based on PHP will run on a given server on the condition that a PHP module is enabled, which renders the language really universal and it is by no means unusual that there are actually several million servers that support it and 100s of millions of PHP-driven websites running on them. PHP is preferred over HTML because of the fact that it permits you to set up a dynamic website with a plethora of different features. A PHP-based community site, for example, will serve unique content to each user even though the URL will remain unchanged. In contrast, HTML-based sites are static and the content on the pages can be edited only manually. Just like any other piece of software, PHP has different versions and the version that was used whilst setting up a specific website must be activated on the web server in order for the site to behave correctly.
PHP 4 and PHP 5 Support in Cloud Hosting
We have decided not to restrict our present and potential customers from selecting the PHP version that their sites will be using, which implies that in case you purchase a cloud hosting plan from us, you will be able to select between versions 4, 5.2, 5.3, 5.4 and 5.5, not only for the hosting account in general, but also for each single domain name hosted by you. This can be done with only one click through our custom-built Hepsia Control Panel via which all shared accounts are administered, which is the reason why you won’t need to have any coding or technical skills. You’ll be able to host sites based on both new and old PHP scripts without any hassle, so if you would like to change your current web hosting vendor and switch over to us, you can be certain that all the websites that you’ve built over the years will continue to run perfectly.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
In case you’ve got a website based on a previous version of PHP and you’ve invested time and efforts in developing it, fixing safety holes and inserting page content, you’ll need to find a hosting service that can support it, since most web hosts today support only the most recently released PHP version and abandon the older ones. We, however, have decided to allow you to choose the exact version that your very own websites need. Our Linux semi-dedicated hosting service support multiple versions of PHP 5 and PHP 4, so you’ll be able to use both older and newer scripts without losing any custom modifications or wasting time and energy attempting to make your websites compatible with the web hosting environment. You can change the version via the Hepsia Control Panel and such an update will apply to the entire account, but you’ll also have the ability to pick a different version of PHP for each site that you host in your account by means of an .htaccess config file.